Subject: bug#32344:

From: Carlos Pita <[email-masked]>
Date: Sun, 13 Oct 2019 16:23:38 -0300

Hi Paul, I'm CC'ing you because:

1. This issue has been long open
2. I'm providing a very simple patch now
3. You seem to actively contribute to comint.el
4. IMO, despite its simplicity, this patch enables major modes to
provide a quite better interactive experience.
5. The current behavior is too invasive from the part of comint.

For further discussion of the possibilities open by this change,
please read https://github.com/jorgenschaefer/elpy/issues/1428

I'm also providing a couple of screenshots for you to compare.

If you prefer so, I could make the new option to be automatically buffer local.

Best regards
--
Carlos